package com.gic.haoban.manage.service.pojo.bo.welcome;

import java.util.Date;

/**
 * desc：欢迎语媒体bo
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class WelcomeMediaBO {
    /**
     * 欢迎语媒体id
     */
    private Long welcomeMediaId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 媒体标题
     */
    private String mediaTitle;
    /**
     * 小程序名称
     */
    private String miniProgramName;
    /**
     * 媒体类型 1图片 2视频 3文件 4链接 5小程序
     * {@link com.gic.haoban.manage.api.enums.WelcomeMediaTypeEnum}
     */
    private Integer mediaType;
    /**
     * 媒体文件路径,保存上传路径
     */
    private String mediaUrl;
    private String mediaId ;
    private Date mediaTime ;
    /**
     * 小程序页面路径
     */
    private String miniProgramPage;
    /**
     * 媒体资源大小
     */
    private String mediaSize;
    /**
     * 小程序id,仅类型为5小程序时需要传
     */
    private String  miniprogramSettingId;

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public Date getMediaTime() {
        return mediaTime;
    }

    public void setMediaTime(Date mediaTime) {
        this.mediaTime = mediaTime;
    }

    public Long getWelcomeMediaId() {
        return welcomeMediaId;
    }

    public void setWelcomeMediaId(Long welcomeMediaId) {
        this.welcomeMediaId = welcomeMediaId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getMediaTitle() {
        return mediaTitle;
    }

    public void setMediaTitle(String mediaTitle) {
        this.mediaTitle = mediaTitle;
    }

    public Integer getMediaType() {
        return mediaType;
    }

    public void setMediaType(Integer mediaType) {
        this.mediaType = mediaType;
    }

    public String getMiniProgramName() {
        return miniProgramName;
    }

    public void setMiniProgramName(String miniProgramName) {
        this.miniProgramName = miniProgramName;
    }

    public String getMediaUrl() {
        return mediaUrl;
    }

    public void setMediaUrl(String mediaUrl) {
        this.mediaUrl = mediaUrl;
    }

    public String getMiniProgramPage() {
        return miniProgramPage;
    }

    public void setMiniProgramPage(String miniProgramPage) {
        this.miniProgramPage = miniProgramPage;
    }

    public String getMediaSize() {
        return mediaSize;
    }

    public void setMediaSize(String mediaSize) {
        this.mediaSize = mediaSize;
    }

    public String getMiniprogramSettingId() {
        return miniprogramSettingId;
    }

    public void setMiniprogramSettingId(String miniprogramSettingId) {
        this.miniprogramSettingId = miniprogramSettingId;
    }

    @Override
    public String toString() {
        return "WelcomeMediaBO{" +
                "welcomeMediaId=" + welcomeMediaId +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", welcomeId='" + welcomeId + '\'' +
                ", mediaType=" + mediaType +
                ", mediaUrl='" + mediaUrl + '\'' +
                '}';
    }
}
